Bug 29902 - the default session (the window manager) run by DM changes after installing more window managers
: the default session (the window manager) run by DM changes after installing m...
Status: CLOSED FIXED
: Simply Linux
(All bugs in Simply Linux/packages)
: 7.0.1
: all Linux
: P3 normal
Assigned To:
:
:
:
:
: 26112
  Show dependency tree
 
Reported: 2014-03-22 00:25 by
Modified: 2015-04-15 18:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-03-22 00:25:55
The default window manager started by the DM for old users also changed in
Simply Linux 7.0.x (from Xfce4) after I apt-get-installed mate-document-viewer
(and hence mate-session).

lightdm and /usr/bin/runwm are involved in starting the DE/WM.

A solution for this problem would be to write "Xfce4" into
/etc/sysconfig/desktop in Simply Linux installations, right?

+++ This bug was initially created as a clone of Bug #26112 +++

gdm2.20-2.20.8-alt6

In Simply Linux beta 2011-08-11, where there was only Xfce and it was the
default desktop env and window manager, I've apt-get-installed
WindowMaker-0.94.0-alt2 and xmonad-0.9.2-alt2 additionally.

After that, the "default" session in gdm started to call xmonad, even for those
users who previously used Xfce (as the former "default").

This is a trouble for the administrator that installing additional window
managers changes the meaning of the "default" option. The installation of
additional window managers shouldn't change the default.
------- Comment #1 From 2015-04-15 18:05:11 -------
Fixed in Simply Linux 7.0.5 RC1